Katello - Bug #37399

Container gateway needs to send ACCEPT headers from podman to Pulp
04/30/2024 02:54 PM - lan Ballou

Status: Ready For Testing

Priority: Normal

Assignee: lan Ballou

Category: Foreman Proxy Content

Target version: Katello 4.13.0

Difficulty: Fixed in Releases:

Triaged: Yes Found in Releases:

Bugzilla link: Red Hat JIRA:

Pull request: https://github.com/Katello/smart_proxy_c
ontainer_gateway/pull/38

Description

https://github.com/pulp/pulp_container/issues/1509 causes the old datatypes to no longer be stored, so we need to start sending
ACCEPT headers from podman.

The headers look like:

'Accept:
application/vnd.docker.distribution.manifest.list.v2+json,application/vnd.docker.distribution.manifest.v2+json,application/vnd.oci.imag
e.manifest.v1+json,application/vnd.oci.image.index.v1+json’

curl example to Pulp:

curl -L --cert foreman-client.crt --key foreman-client.key
'hitps://smart-proxy.com/pulpcore_registry/v2/prometheus_busybox/manifests/latest’ --header 'Accept:
application/vnd.docker.distribution.manifest.list.v2+json,application/vnd.docker.distribution.manifest.v2+json,application/vnd.oci.imag
e.manifest.v1+json,application/vnd.oci.image.index.v1+json’

History

#1 - 04/30/2024 03:01 PM - lan Ballou
Also need to see why podman receives HTML instead of MANIFEST_UNKNOWN:

StatusCode: 404, "<IDOCTYPE HTML PUBLIC \"-//IETF//DTD HTML 2.0//EN\">..."

#2 - 04/30/2024 07:51 PM - The Foreman Bot
- Status changed from New to Ready For Testing
- Assignee set to lan Ballou

- Pull request https://github.com/Katello/smart_proxy_container_gateway/pull/38 added

#3 - 04/30/2024 08:19 PM - lan Ballou
- Category set to Foreman Proxy Content

- Target version set to Katello 4.13.0

#4 - 05/01/2024 05:36 PM - Quinn James

- Triaged changed from No to Yes
